package com.fjhx.flow.core;

import com.ruoyi.common.exception.ServiceException;

import java.util.HashMap;
import java.util.Map;

public class FlowBean {

    /**
     * 流程定义map
     */
    protected static final Map<String, Class<? extends FlowDelegate>> map = new HashMap<>();

    /**
     * 添加流程bean
     *
     * @param flowKey   流程标识
     * @param beanClass 流程实现类
     */
    public static void addBean(String flowKey, Class<? extends FlowDelegate> beanClass) {
        map.put(flowKey, beanClass);
    }

    public static Class<? extends FlowDelegate> getBean(String flowKey) {
        Class<? extends FlowDelegate> bean = map.get(flowKey);
        if (bean == null) {
            throw new ServiceException("没有注册流程bean");
        }
        return bean;
    }

}
